Botan 2.13.0 Crypto and TLS for C++11

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
Botan::No_Provider_Found Class Referencefinal

`#include <exceptn.h>`

Inheritance diagram for Botan::No_Provider_Found:

## Public Member Functions
virtual int | error_code () const noexcept
virtual ErrorType | error_type () const noexcept
| No_Provider_Found (const std::string &name)
const char * | what () const noexceptoverride

## Detailed Description

No_Provider_Found Exception

This exception is no longer used. It will be removed in a future major release.

Definition at line 401 of file exceptn.h.

## Constructor & Destructor Documentation

Botan::No_Provider_Found::No_Provider_Found | ( | const std::string & | name | ) |
| explicit

Definition at line 131 of file exceptn.cpp.

131 :
132 Exception("Could not find any provider for algorithm named \"" + name + "\"")
133 {}
Botan::Exception::Exception
Exception(const std::string &msg)
Definition: exceptn.cpp:73
name
std::string name
Definition: commoncrypto_hash.cpp:23

## Member Function Documentation

virtual int Botan::Exception::error_code | ( |  | ) | const
| inline virtual noexcept inherited

Return an error code associated with this exception, or otherwise 0.

The domain of this error varies depending on the source, for example on POSIX systems it might be errno, while on a Windows system it might be the result of GetLastError or WSAGetLastError. For error_type() is OpenSSLError, it will (if nonzero) be an OpenSSL error code from ERR_get_error.

Reimplemented in Botan::PKCS11::PKCS11_ReturnError, Botan::System_Error, Botan::Compression_Error, Botan::OpenSSL_Error, Botan::CommonCrypto_Error, Botan::SQL_Database::SQL_DB_Error, Botan::TLS::TLS_Exception, and Botan_FFI::FFI_Error.

Definition at line 112 of file exceptn.h.

112 { return 0; }

virtual ErrorType Botan::Exception::error_type | ( |  | ) | const
| inline virtual noexcept inherited

Return the "type" of error which occurred.

Reimplemented in Botan::PKCS11::PKCS11_Error, Botan::Not_Implemented, Botan::Internal_Error, Botan::System_Error, Botan::Stream_IO_Error, Botan::Invalid_Authentication_Tag, Botan::Lookup_Error, Botan::Key_Not_Set, Botan::Invalid_State, Botan::Decoding_Error, Botan::Encoding_Error, Botan::Invalid_IV_Length, Botan::Compression_Error, Botan::Invalid_Key_Length, Botan::Invalid_Argument, Botan::OpenSSL_Error, Botan::CommonCrypto_Error, Botan::SQL_Database::SQL_DB_Error, Botan::HTTP::HTTP_Error, Botan::TLS::TLS_Exception, Botan_FFI::FFI_Error, Botan::Roughtime::Roughtime_Error, Botan::TPM_Error, and Botan::Integer_Overflow_Detected.

Definition at line 101 of file exceptn.h.

References Botan::Unknown.

Referenced by Botan_FFI::ffi_guard_thunk(), Botan::TLS::Stream< StreamLayer, ChannelT >::handshake(), Botan::TLS::detail::AsyncReadOperation< Handler, Stream, MutableBufferSequence, Allocator >::operator()(), Botan::TLS::detail::AsyncHandshakeOperation< Handler, Stream, Allocator >::operator()(), Botan::TLS::Stream< StreamLayer, ChannelT >::read_some(), Botan::TLS::Stream< StreamLayer, ChannelT >::shutdown(), and Botan::TLS::Stream< StreamLayer, ChannelT >::tls_encrypt().

101 { return Botan::ErrorType::Unknown; }
Botan::ErrorType::Unknown

const char* Botan::Exception::what | ( |  | ) | const
| inline override noexcept inherited

Return a descriptive string which is hopefully comprehensible to a developer. It will likely not be useful for an end user.

The string has no particular format, and the content of exception messages may change from release to release. Thus the main use of this function is for logging or debugging.

Definition at line 96 of file exceptn.h.

References m_msg.

Referenced by Botan::TLS::Client_Key_Exchange::Client_Key_Exchange(), Botan::RSA_PrivateKey::create_decryption_op(), Botan::RSA_PublicKey::create_encryption_op(), and Botan_FFI::ffi_guard_thunk().

96 { return m_msg.c_str(); }

The documentation for this class was generated from the following files:

- src/lib/utils/exceptn.h
- src/lib/utils/exceptn.cpp